## qtdemux qtdemux — Demultiplex a QuickTime file into audio and video streams |

## Signals

void | got-redirect |

## Types and Values

struct | GstQTDemux

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstQTDemux

## Description

Demuxes a .mov file into raw or compressed audio and/or video streams.

This element supports both push and pull-based scheduling, depending on the capabilities of the upstream elements.

### Example launch line

    1
    gst-launch filesrc location=test.mov ! qtdemux name=demux  demux.audio_00 ! decodebin ! audioconvert ! audioresample ! autoaudiosink   demux.video_00 ! queue ! decodebin ! ffmpegcolorspace ! videoscale ! autovideosink

Play (parse and decode) a .mov file and try to output it to an automatically detected soundcard and videosink. If the MOV file contains compressed audio or video data, this will only work if you have the right decoder elements/plugins installed.

Last reviewed on 2006-12-29 (0.10.5)

## Synopsis

### Element Information

plugin | isomp4
author | David Schleef <ds@schleef.org>, Wim Taymans <wim@fluendo.com>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | video/quicktime
| video/mj2
| audio/x-m4a
| application/x-3gp

name | audio_%02d
direction | source
presence | sometimes
details | ANY

name | subtitle_%02d
direction | source
presence | sometimes
details | ANY

name | video_%02d
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstQTDemux

    struct GstQTDemux;

## Signal Details

### The `“got-redirect”` signal

    void
    user_function (GstQTDemux *gstqtdemux,
                   gchar      *arg1,
                   gpointer    user_data)

#### Parameters

gstqtdemux | the object which received the signal. |
user_data | user data set when the signal handler was connected. |